## org.freedesktop.Geoclue.MasterClient

org.freedesktop.Geoclue.MasterClient — MasterClient interface

## Methods

    SetRequirements     (in  'i'accuracy_level,
                         in  'i'time,
                         in  'b'require_updates,
                         in  'i'allowed_resources)
    AddressStart        ()
    PositionStart       ()
    GetAddressProvider  (out 's'name,
                         out 's'description,
                         out 's'service,
                         out 's'path)
    GetPositionProvider (out 's'name,
                         out 's'description,
                         out 's'service,
                         out 's'path)

## Signals

    AddressProviderChanged  ('s'name,
                             's'description,
                             's'service,
                             's'path)

    PositionProviderChanged ('s'name,
                             's'description,
                             's'service,
                             's'path)

## Implemented Interfaces

org.freedesktop.Geoclue.MasterClient implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

## Description

## Details

### SetRequirements ()

    SetRequirements (in  'i' accuracy_level,
                     in  'i' time,
                     in  'b' require_updates,
                     in  'i' allowed_resources)

`accuracy_level`: |
`time`: |
`require_updates`: |
`allowed_resources`: |

### AddressStart ()

    AddressStart ()

### PositionStart ()

    PositionStart ()

### GetAddressProvider ()

    GetAddressProvider (out 's' name,
                        out 's' description,
                        out 's' service,
                        out 's' path)

`name`: |
`description`: |
`service`: |
`path`: |

### GetPositionProvider ()

    GetPositionProvider (out 's' name,
                         out 's' description,
                         out 's' service,
                         out 's' path)

`name`: |
`description`: |
`service`: |
`path`: |

## Signal Details

### The AddressProviderChanged signal

    AddressProviderChanged ('s' name,
                            's' description,
                            's' service,
                            's' path)

`name`: |
`description`: |
`service`: |
`path`: |

### The PositionProviderChanged signal

    PositionProviderChanged ('s' name,
                             's' description,
                             's' service,
                             's' path)

`name`: |
`description`: |
`service`: |
`path`: |

## Property Details